﻿#language: ru

Функционал: Отчеты по упаковке сыра

Сценарий: Отчеты по упаковке сыра
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Динамика показателей складов серии"
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '12.03.2019'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И я закрываю окно 'Динамика показателей складов серии'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ остатков на складах"
	Тогда открылось окно 'Анализ остатков на складах'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И в таблице "Список1" я выбираю текущую строку
	И в таблице "Список1" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И я перехожу к закладке "Поля и сортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'    |
		| 'Номенклатура' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'      |
		| 'Характеристика' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Серия'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И Я закрываю окно 'Анализ остатков на складах'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ участка соления"
	Тогда открылось окно 'Анализ участка соления'
	И Я в отчете устанавливаю период "12.03.2019" по текущую дату
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Вид анализа влага"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Показатель влага"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Жир в сухом веществе' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Рабочий центр варка"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Вид продукции"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'     | 'Период: 12.03.2019 - *'                | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| ''               | 'Рабочий центр: Упаковка'               | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| ''               | 'Вид анализа влага: показатели МДЖ МДБ' | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| ''               | 'Показатель влага: Жир в сухом веществе'| ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| ''               | 'Рабочий центр варка: Сырцех'           | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| 'Отбор:'         | 'Вид продукции Равно "Сыр"'             | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| ''               | ''                                      | ''         | ''     | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| 'Продукция'      | 'Статус'                                | ''         | ''     | 'Время нахождения в бассейне (часы)' | ''             | 'Вес'   | ''        | ''       | ''     | 'Шт'   | ''        | ''        | 'Брак'  | ''     | ''      |
		| 'Серия'          | 'Влага после пресса'                    | ''         | ''     | 'Норма времени'                      | 'Факт времени' | 'Вход'  | 'Выход'   | 'Потери' | '%'    | 'Вход' | 'Выход'   | 'Разница' | 'кг'    | '%'    | 'шт'    |
		| ''               | 'Норма от'                              | 'Норма до' | 'Факт' | ''                                   | ''             | ''      | ''        | ''       | ''     | ''     | ''        | ''        | ''      | ''     | ''      |
		| 'Российский 50%' | 'Варка'                                 | ''         | ''     | '36'                                 | '*'            | '952,1' | '919,976' | '32,124' | '3,37' | '123'  | '215,139' | '-92,139' | '5,176' | '0,56' | '1,139' |
		| '12.03.2019/1'   | ''                                      | ''         | ''     | '36'                                 | '*'            | '952,1' | '919,976' | '32,124' | '3,37' | '123'  | '215,139' | '-92,139' | '5,176' | '0,56' | '1,139' |
		| 'Итого'          | ''                                      | ''         | ''     | '36'                                 | '*'            | '952,1' | '919,976' | '32,124' | '3,37' | '123'  | '215,139' | '-92,139' | '5,176' | '0,56' | '1,139' |
	И Я закрываю окно 'Анализ участка соления'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 10_milk_scenario.04.006 Закрытие клиента тестирования Мастер сырцеха
	И я закрываю сеанс TESTCLIENT